Redmine - Defect #3132

Bulk editing menu non-functional in Opera browser
2009-04-07 02:06 - Anonymous

Status: Closed Start date: 2009-04-07
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.1.2

Resolution: Fixed Affected version:

Description

In the Opera web browser it doesn't seem to work at all, it just brings up its default right-click menu.
This happens on both a local installation and on redmine.org

Version 10.00 alpha
Build 1139
Platform Win32
System Windows XP

I don't have the latest stable installed since | only use it for testing out my CSS, so | can't confirm whether this happens on version
9.5 or not. Just stumbled upon this by accident and figured you'd want to know.

Related issues:
Has duplicate Redmine - Patch #7700: Enable right-click in Opera Closed 2011-02-23

Associated revisions

Revision 4935 - 2011-02-23 17:55 - Jean-Philippe Lang

Fixed: Bulk editing menu non-functional in Opera browser (#3132).

Contributed by Claudio Acciaresi.

History

#1 - 2009-04-18 12:57 - Anonymous

- Status changed from New to Resolved

| was just looking through the guide in the wiki and noticed:

A context menu pops up when right clicking (ALT + Left click for Opera users) on an issue of the issue list.

My bad, issue can be closed as | just tested to confirm it works ;)

#2 - 2009-04-24 19:37 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks.

#3 - 2009-07-06 14:38 - Ammler _

- Status changed from Closed to Reopened

I am using Opera 9.64 on linux and | am not able to use the context menu, either with right click or alt and left click. It works as it should with Firefox
and Konqueror.

#4 - 2010-05-06 15:36 - Muntek Singh
- Affected version (unused) set to devel

- Resolution deleted (Invalid)
| can confirm this - Testing in Linux and Windows. Every browser the right click context menu works except Opera.

Testing using opera 10.53 in windows
Testing using opera 10.53b1 in Linux

#5 - 2010-08-25 12:41 - André Jonsson

Tested to be working on Opera 10.70 (3488) Windows 7 64.
| got mislead for a while that it was alt+rightclick... but it's, as stated above, Alt + left click.

#6 - 2010-08-27 10:15 - André Jonsson
And 10.70 (something build) on Linux (32 bit) works as well.

#7 - 2010-09-08 10:06 - André Jonsson

| think the right-click could be made to work.
| noticed that Zimbra has a working right-click menu, also in Opera.

#8 - 2010-12-22 16:11 - Claudio Acciaresi

- File context_menu_js.patch added

Hi there, I'm attaching a patch that solves this problem (at least for opera versions > 10.53).
This a link was useful: http://unixpapa.com/js/mouse.html

Sorry if this is not the correct way to propose a patch to solve this issue, this is my first time contributing (I went trough the wiki but | did not find
information on how | should prepare [name convention, etc] the patch) with redmine.

#9 - 2010-12-22 20:27 - Claudio Acciaresi
Claudio Acciaresi wrote:

Hi there, I'm attaching a patch that solves this problem (at least for opera versions > 10.53).
This a link was useful: http://unixpapa.com/js/mouse.html

Sorry if this is not the correct way to propose a patch to solve this issue, this is my first time contributing (I went trough the wiki but | did not find

information on how | should prepare [name convention, etc] the patch) with redmine.

This solution applies to opera versions >= 10.53.
#10 - 2010-12-30 05:07 - Mischa The Evil
Claudio Acciaresi wrote:

e File context_menu_js.patch added

Thanks for your contribution... I've tested your patch quickly using Opera 11.00 on Win (only) and it works as expected and does what it needs to do.

#11 - 2010-12-30 11:55 - Jean-Philippe Lang

Obviously, this patch breaks the ability to use ALT+Left click to show the context menu with Opera (versions before 10.0 don't support the
‘contextmenu' event). Should we drop this in favor of right click for Opera >= 10.0 only ?

#12 - 2010-12-30 15:18 - Claudio Acciaresi
+1, | think that Opera version 10.53 is from April/May, so is pretty old.
| would drop the ALT+click functionality, is not as intuitive as using right click on the issue, and most Opera users tend to use the latest versions.

#13 - 2011-02-22 14:24 - André Jonsson

| agree, Opera users (including myself) are bleeding-edge kind of users... :)
Vote for dumping the old alt-click and adopting use of right-click.

A really advanced variant would be to detect the opera version and use right-click when available, otherwise alt-click. But | wouldn't recommend it; it's
not worth the effort and the added complexity.

#14 - 2011-02-23 17:56 - Jean-Philippe Lang
- Category set to Ul

- Status changed from Reopened to Resolved
http://www.zimbra.com
http://unixpapa.com/js/mouse.html
http://unixpapa.com/js/mouse.html

- Target version set to 1.1.2

- Resolution set to Fixed

Agreed. Patch applied in r4935, thanks.

#15 - 2011-02-23 21:43 - Pierre-Luc Samuel

| just submitted patch #7700 (before noticing that this bug existed, DOH). | think my patch is a bit more thorough, since it also restores the normal

Single-click behavior. Sorry for the duplication...

#16 - 2011-02-28 21:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed
Merged in 1.1-stable.

Files

context_menu_js.patch 1006 Bytes 2010-12-22 Claudio Acciaresi
